Package com.orbbec.obsensor

## Class GyroStreamProfile

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.StreamProfile
    - - com.orbbec.obsensor.GyroStreamProfile

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class GyroStreamProfile
    extends StreamProfile

Gyro stream profile

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`GyroFullScaleRange` `getGyroFullScaleRange()` Get the range of the gyroscope configuration
`SampleRate` `getGyroSampleRate()` Get the data sampling rate of the gyroscope configuration

### Methods inherited from class com.orbbec.obsensor.StreamProfile

`as, close, getFormat, getType`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getGyroFullScaleRange

    public GyroFullScaleRange getGyroFullScaleRange()

Get the range of the gyroscope configuration

Returns:
  Gyroscope range

#### getGyroSampleRate

    public SampleRate getGyroSampleRate()

Get the data sampling rate of the gyroscope configuration

Returns:
  Gyroscope data sample rate